Name: qscintilla
Summary: Port to Qt of Neil Hodgson's Scintilla C++ editor class
Version: 2.6.1
Release: %mkrel 1
License: GPLv2+
Group: System/Libraries
Source0: http://www.riverbankcomputing.co.uk/static/Downloads/QScintilla2/QScintilla-gpl-%version.tar.gz
Patch0: QScintilla-gpl-2.2-libdir.patch
Patch1: QScintilla-gpl-2.4-fix-linkage.patch
URL: http://www.riverbankcomputing.co.uk/software/qscintilla/intro
BuildRequires: qt4-devel >= 4:4.3.1
BuildRequires: python-sip >= 1:4.7.10
BuildRequires: python-qt4-devel
BuildRequires: python-devel

%description
As well as features found in standard text editing components,
QScintilla includes features especially useful when editing and
debugging source code. These include support for syntax styling, error
indicators, code completion and call tips. The selection margin can
contain markers like those used in debuggers to indicate breakpoints
and the current line. Styling choices are more open than with many
editors, allowing the use of proportional fonts, bold and italics,
multiple foreground and background colours and multiple fonts.

#--------------------------------------------------------------

%define major 8
%define libqs4 %mklibname qscintilla2_ %{major}

%package -n %libqs4
Summary: Port to Qt of Neil Hodgson's Scintilla C++ editor class
Group: System/Libraries
Obsoletes: qscintilla-translations
Obsoletes: %{_lib}qscintilla-qt4_2 < 2.6-2

%description -n %libqs4
As well as features found in standard text editing components,
QScintilla includes features especially useful when editing and
debugging source code. These include support for syntax styling, error
indicators, code completion and call tips. The selection margin can
contain markers like those used in debuggers to indicate breakpoints
and the current line. Styling choices are more open than with many
editors, allowing the use of proportional fonts, bold and italics,
multiple foreground and background colours and multiple fonts.

%files -n %libqs4
%attr(755,root,root) %{_qt4_libdir}/libqscintilla2.so.%{major}
%attr(755,root,root) %{_qt4_libdir}/libqscintilla2.so.%{major}.*
%{_qt4_translationdir}/qscintilla*.qm

#--------------------------------------------------------------

%define libqs4dev %mklibname -d qscintilla

%package -n %libqs4dev
Summary: Libraries, include and other files to develop applications with QScintilla for Qt
Group: Development/KDE and Qt
Requires: %libqs4 = %{version}-%{release}
Provides: %{name}-qt4-devel = %{version}-%{release}
Obsoletes: %{_lib}qscintilla-qt4_-devel
Obsoletes: %{_lib}qscintilla-qt4-devel < 2.6-2
Provides: qscintilla-qt4-devel = %{version}-%{release}
Conflicts: %{_lib}qscintilla-qt3_2 <= 2.2-2

%description -n %libqs4dev
This packages contains the libraries, include and other files
you can use to develop applications with QScintilla.

%files -n %libqs4dev
%{_qt4_includedir}/*
%{_qt4_libdir}/*.so
%{_qt4_plugindir}/designer/*

#--------------------------------------------------------------

%package -n python-qt4-qscintilla
Summary: Python qt4 QScintilla bindings
Group: Development/KDE and Qt
Requires: python-qt4-core
Requires: python-qt4-gui
Requires: %libqs4 = %{version}

%description -n python-qt4-qscintilla
Python qt4 QScintilla bindings.

%files -n python-qt4-qscintilla 
%_datadir/sip/PyQt4
%_qt4_datadir/qsci
%py_platsitedir/PyQt4/Qsci.so

#--------------------------------------------------------------

%package doc
Summary: QScintilla docs
Group: Development/KDE and Qt
BuildArch: noarch

%description doc
QScintilla doc.

%files doc
%doc NEWS README doc	

#--------------------------------------------------------------

%prep 
%setup -qn QScintilla-gpl-%{version}
%patch0 -p1 -b .libbuild
%patch1 -p0 -b .linkage

%build
pushd Qt4
    export QTDIR=%_qt4_datadir
    %qmake_qt4 DESTDIR=%buildroot/%{_qt4_libdir} qscintilla.pro
    %make 
popd

pushd designer-Qt4
    echo "INCLUDEPATH += ../Qt4" >> designer.pro
    echo "LIBS += -L%buildroot/%{_qt4_libdir}" >> designer.pro
    %qmake_qt4 designer.pro
    make
popd


%install
rm -fr %{buildroot}
mkdir -p %buildroot/%_qt4_libdir

pushd Qt4
    make INSTALL_ROOT=%buildroot install
popd

pushd designer-Qt4
    make INSTALL_ROOT=%buildroot install
popd

pushd Python
    export QTDIR=%_qt4_datadir
    export PATH=%_qt4_datadir/bin:$PATH
    python configure.py \
        -n ../Qt4 \
        -o %buildroot/%{_qt4_libdir} 
    %make 
    make DESTDIR=%buildroot install
popd


%changelog

* Sun Feb 26 2012 matteo <matteo> 2.6.1-1.mga2
+ Revision: 215220
- new version

* Sun Feb 26 2012 matteo <matteo> 2.6-5.mga2
+ Revision: 215162
- fixed wrong qt4 macro
- rebuild needed after pyqt upgrade

* Tue Dec 27 2011 fwang <fwang> 2.6-4.mga2
+ Revision: 188115
- update file list

  + dmorgan <dmorgan>
    - Use new qt4 macros

* Mon Dec 26 2011 fwang <fwang> 2.6-3.mga2
+ Revision: 187733
- more accurate obsoletes

* Mon Dec 26 2011 fwang <fwang> 2.6-2.mga2
+ Revision: 187704
- update libmajor
- correct libname

* Mon Dec 26 2011 fwang <fwang> 2.6-1.mga2
+ Revision: 187684
- new version 2.6

* Fri Jul 01 2011 fwang <fwang> 2.5.1-1.mga2
+ Revision: 117090
- new version 2.5.1

* Fri Jan 21 2011 ahmad <ahmad> 2.4.6-2.mga1
+ Revision: 28790
- use the current qt4 Epoch in the qt4-devel BR
- remove the with_qt3 bits; qt3 package wasn't built for a long time anyway
- imported package qscintilla

